﻿using System;
using System.ComponentModel.DataAnnotations;

namespace DynamicData101
{
    [ScaffoldTable(true)]
    [MetadataType(typeof(ProductMetadata))]
    public partial class Product
    {
    }

    public class ProductMetadata
    {
        [ScaffoldColumn(false)]
        public object ProductID;

        [ScaffoldColumn(false)]
        public object Order_Details;

        [DisplayFormat(DataFormatString = "{0:c}")]
        public object UnitPrice;
        
        [Range(0, 100, ErrorMessage="Hodnota pro pole {0} musí být v rozmezí {1} - {2}.")]
        [UIHint("IntegerSlider")]
        public object ReorderLevel;
    }
}
