﻿using System;
using System.Collections.Specialized;
using System.Linq;
using System.Web.UI;
using System.ComponentModel.DataAnnotations;

namespace DynamicData101.DynamicData.FieldTemplates
{
    public partial class IntegerSlider_EditField : System.Web.DynamicData.FieldTemplateUserControl
    {
        protected void Page_Load(object sender, EventArgs e)        
        {
            // Pokud ma pole nastaven atribut Range, tak z nej prevezmeme hodnoty
            // pro rozsah ovladaciho prvku SliderExtender
            var metadata = MetadataAttributes.OfType<RangeAttribute>().FirstOrDefault();
            if (metadata != null)
            {
                SliderExtender1.Minimum = Convert.ToInt32(metadata.Minimum);
                SliderExtender1.Maximum = Convert.ToInt32(metadata.Maximum);
            }

            TextBox1.ToolTip = Column.Description;
            SetUpValidator(DynamicValidator1);
        }

        protected override void ExtractValues(IOrderedDictionary dictionary)
        {
            dictionary[Column.Name] = ConvertEditedValue(TextBox1.Text);
        }

        public override Control DataControl
        {
            get
            {
                return TextBox1;
            }
        }
    }
}
